Bug 122127 - No sound on CD Audio
No sound on CD Audio
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnome-media (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2004-04-30 14:02 EDT by Chris Kloiber
Modified: 2015-01-07 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:27:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2004-04-30 14:02:24 EDT
From CRM# 318778

*** technician comments ***

Dear Sir,

This is the summary of our conversation:

You are running RHEL 3 WS on your custom made system with 2 DVD
drives, one Sony DVD-ROM and an HP 300i DVD-R/RW. You also have a
Creative Soundblaster Sound card which works fine when you run the
sound configuration utility.

Whenver you try to record using soundrecord, you get a Segmentation
fault. Playing music on MIDI or on CD Audio doesn't produce any sound.

We ran the command `aumix' to check the volume control. We also ran
the Volume Control utility and tried muting and unmuting but the sound
still didn't come out.

You mentioned that the CD player works on a Windows 2000 Professional
on the same system (dual-boot). Windows gets the CD's data thru the
IDE cable. I suggest that you check the 3 wire cable connecting the
drive to the soundcard.

I also suggest that you configure your BIOS and change the PnP OS
setting from Yes to No. This will not cause any kernel panics.
However, I suggest that you turn this on whenever you need to add a
device to your Windows system.

Kudzu is automatically ran during boot. Please let me know if my
recommendation works. Should you have further concerns, please feel
free to contact us.

Best regards,

*** customer reply ***

The problem is with RH software. Installing and running Audacity works
fine with hardware as is - no other changes except software. MIDI
plays, sound records, CD tracks play and rip.

*** technician comments *** 


I'm glad you found an alternative software that works! Please let me
know if you still wish to pursue using the Red Hat's CD Player so that
we could file a bug for this.

Should you have further concerns, please feel free to contact us.

Best regards,

*** customer reply ***
I'm not paying for support to have audacity run on this workstation.
RHEL should have a bug free player for audio. Please advise when RH
will have one. I believe it should be recorded as a pretty serious bug.

*** technician comments *** 


I understand your concerns. We will post a bug on bugzilla regarding
this issue. We will keep you posted for any updates.

Best regards,
Comment 3 Colin Walters 2004-09-13 15:41:46 EDT
So there are several separate issues here.

The gnome-sound-recorder problems are known with the RHEL3 version; we
have an update currently in QA for it.  

As for the "no audio on cd playback" issue - what did the customer
have to say about the CD cable?  The gnome-media version in RHEL3
requires the cable.  Later gnome-media versions like the one targeted
for RHEL4 read the data directly from the device, so no cable is required.

Audacity may work because it reads the data directly.
Comment 4 RHEL Product and Program Management 2007-10-19 15:27:04 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.